from models.db import db_conn


def get_all_species():
    condensates_coll = db_conn['condensates']
    aggregate_query = [
        {
            '$group': {
                '_id': "$species_name",
                'tax_id': {
                    '$first': "$species_tax_id"
                },
                'count': {
                    '$sum': 1
                }
            }
        },
        {
            '$sort': {
                'count': -1
            }
        }
    ]
    response = condensates_coll.aggregate(pipeline=aggregate_query)
    return list(response)
